## purpose 5.116.0+p24.04+vstable+git20251231.0508

=== debian/changelog ===
purpose (5.116.0+p24.04+vstable+git20251231.0508-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 05:08:55 +0000
