## purpose 5.116.0+p24.04+vstable+git20260103.0103

=== debian/changelog ===
purpose (5.116.0+p24.04+vstable+git20260103.0103-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 01:03:14 +0000
