## purpose 5.116.0+p24.04+vstable+git20260122.0317

=== debian/changelog ===
purpose (5.116.0+p24.04+vstable+git20260122.0317-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 03:17:19 +0000
